#include "mbed.h"

I2C i2c(p9,p10);                        // Bus#1
Serial pc(USBTX, USBRX);                // pc terminal tx, rx

int main()
{

    /////////////////////////////////////////////////
    // set up i2c
    /////////////////////////////////////////////////
    
    char addr = 0xD2; 	//	I2C address of device
    char rReg[7] = {0,0,0,0,0,0,0};
    char wReg[2] = {0,0};
    char cmd = 0x00;   
            
    i2c.write(addr, &cmd, 1);
    i2c.read(addr, rReg, 7);
    
    int sense = ((rReg[0] << 8) + rReg[1] >> 4);
    pc.putc(0x0D);
    pc.printf("SENSE= %#X",sense);

    int vin = ((rReg[2] << 8) + rReg[3] >> 4);
    pc.putc(0x0D);
    pc.printf("VIN  = %#X",vin);
    
    int adin = ((rReg[4] << 8) + rReg[5] >> 4);
    pc.putc(0x0D);
    pc.printf("ADIN = %#X",adin);
    
    pc.putc(0x0D);
    pc.putc(0x0D);
}